tasty-lua-1.1.2: Write tests in Lua, integrate into tasty.

Copyright | © 2019-2024 Albert Krewinkel
License | MIT
Maintainer | Albert Krewinkel <tarleb@hslua.org>
Safe Haskell | None
Language | Haskell2010

Test.Tasty.Lua.Arbitrary

Description

Generators for arbitrary Lua values.

Synopsis

- registerArbitrary :: (Arbitrary a, LuaError e) => Name -> Pusher e a -> Peeker e a -> LuaE e ()
- registerDefaultGenerators :: LuaError e => LuaE e ()
- pushArbitraryTable :: LuaE e ()

# Documentation

registerArbitrary :: (Arbitrary a, LuaError e) => Name -> Pusher e a -> Peeker e a -> LuaE e () Source #

Register a Lua value generator.

registerDefaultGenerators :: LuaError e => LuaE e () Source #

pushArbitraryTable :: LuaE e () Source #

Pushes the table holding all arbitrary generators to the stack.